﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.WindowsAzure.Storage;
using Microsoft.WindowsAzure.Storage.Auth;
using Microsoft.WindowsAzure.Storage.Blob;

namespace abt
{
    class Program
    {
        static string logfilepath = @"<enter yours here>";

        static void Main(string[] args)
        {
            try
            {
                Log("Retrieving storage account from connection string");

                // Retrieve storage account from connection string.

                CloudStorageAccount storageAccount = CloudStorageAccount.Parse("<enter yours here>");

                Log("Creating the blob client");

                // Create the blob client.
                CloudBlobClient blobClient = storageAccount.CreateCloudBlobClient();

                Log("Retrieving reference to a previously created container");

                // Retrieve reference to a previously created container.
                CloudBlobContainer container = blobClient.GetContainerReference("<enter yours here>");

                Log("Retrieving reference to acuriteweather.CSV blob");

                // Retrieve reference to a blob named "myblob".
                CloudBlockBlob blockBlob = container.GetBlockBlobReference("<enter yours here>");

                // get filename
                string filename = @"<enter yours here>";

                Log("Writing acuriteweather.CSV blob");

                // Create or overwrite the "myblob" blob with contents from a local file.
                using (var fileStream = System.IO.File.OpenRead(filename))
                {
                    blockBlob.UploadFromStream(fileStream);
                    Console.Write("Successfully transferred " + filename + ".");

                    Log("Successfully transferred acuriteweather.CSV blob");
                }
            }
            catch(Exception ex)
            {
                Log("Error transferring acuriteweather.CSV blob: " + ex.Message);
            }
        }

        public static void Log(string logMessage)
        {
            using (StreamWriter w = File.AppendText(logfilepath))
            {
            w.Write("\r\nLog Entry : ");
            w.WriteLine("{0} {1}", DateTime.Now.ToLongTimeString(),
                DateTime.Now.ToLongDateString());
            w.WriteLine("  :{0}", logMessage);
            w.WriteLine("-------------------------------");
            }
        }
    }
}
